Bug 18095 - Batch item modification: Better message if no item is modified
Summary: Batch item modification: Better message if no item is modified
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-10 15:05 UTC by Marc Véron
Modified: 2017-06-14 22:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18095: Batch item modification: Better message if no item is modified (1.90 KB, patch)
2017-02-10 15:09 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18095: Batch item modification: Better message if no item is modified (2.01 KB, patch)
2017-02-12 02:16 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18095: Batch item modification: Better message if no item is modified (2.07 KB, patch)
2017-02-14 10:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-02-10 15:05:25 UTC
If no item is modified, the result page of Batch item modification says:
"item(s) modified (with fields modified)."
The message should be: "No items modified"

To reproduce: 
- Go to Tools -> Batch item modification
- Put a barcode in and click Continue
- Do not make any changes and/or deselect all item(s)
- Click "Save"
=> Result message reads: "item(s) modified (with fields modified)."
Comment 1 Marc Véron 2017-02-10 15:09:03 UTC
Created attachment 60119 [details] [review]
Bug 18095: Batch item modification: Better message if no item is modified

If no item is modified, the result page of Batch item modification says:
"item(s) modified (with fields modified)."
The message should be: "No items modified"

To reproduce:
- Go to Tools -> Batch item modification
- Put a barcode in and click Continue
- Do not make any changes and/or deselect all item(s)
- Click "Save"
=> Result message reads: "item(s) modified (with fields modified)."

To test:
- Apply patch
- Repeat steps above
- Verify that message makes sense.
Comment 2 M. Tompsett 2017-02-12 02:16:43 UTC
Created attachment 60128 [details] [review]
Bug 18095: Batch item modification: Better message if no item is modified

If no item is modified, the result page of Batch item modification says:
"item(s) modified (with fields modified)."
The message should be: "No items modified"

To reproduce:
- Go to Tools -> Batch item modification
- Put a barcode in and click Continue
- Do not make any changes and/or deselect all item(s)
- Click "Save"
=> Result message reads: "item(s) modified (with fields modified)."

To test:
- Apply patch
- Repeat steps above
- Verify that message makes sense.

NOTE: Also tested positive case with actual field change.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Jonathan Druart 2017-02-14 10:15:02 UTC
Created attachment 60178 [details] [review]
Bug 18095: Batch item modification: Better message if no item is modified

If no item is modified, the result page of Batch item modification says:
"item(s) modified (with fields modified)."
The message should be: "No items modified"

To reproduce:
- Go to Tools -> Batch item modification
- Put a barcode in and click Continue
- Do not make any changes and/or deselect all item(s)
- Click "Save"
=> Result message reads: "item(s) modified (with fields modified)."

To test:
- Apply patch
- Repeat steps above
- Verify that message makes sense.

NOTE: Also tested positive case with actual field change.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Kyle M Hall 2017-02-14 14:31:39 UTC
Pushed to master for 17.05, thanks Marc!
Comment 5 Katrin Fischer 2017-02-14 21:02:51 UTC
This patch has been pushed to 16.11.x and will be in 16.11.04.
Comment 6 Mason James 2017-02-23 20:23:43 UTC
Pushed to 16.05.x, for 16.05.10 release